FreeBSD Bugzilla – Attachment 115802 Details for
Bug 157664
Fix port: mail/p5-Mail-SpamAssassin should use USERS
Home
|
New
|
Browse
|
Search
|
[?]
|
Reports
|
Help
|
New Account
|
Log In
Remember
[x]
|
Forgot Password
Login:
[x]
saup_patch.txt
saup_patch.txt (text/plain), 2.70 KB, created by
Michael Scheidell
on 2011-06-06 19:51:57 UTC
(
hide
)
Description:
saup_patch.txt
Filename:
MIME Type:
Creator:
Michael Scheidell
Created:
2011-06-06 19:51:57 UTC
Size:
2.70 KB
patch
obsolete
>diff -bBru /var/tmp/saorig/Makefile ./Makefile >--- /var/tmp/saorig/Makefile 2010-12-15 21:33:56.000000000 -0500 >+++ ./Makefile 2011-06-06 14:35:41.000000000 -0400 >@@ -7,7 +7,7 @@ > > PORTNAME= Mail-SpamAssassin > PORTVERSION= 3.3.1 >-PORTREVISION= 3 >+PORTREVISION= 4 > CATEGORIES= mail perl5 > MASTER_SITES= ${MASTER_SITE_APACHE:S/$/:apache/} ${MASTER_SITE_PERL_CPAN:S/$/:cpan/} > MASTER_SITE_SUBDIR= spamassassin/source/:apache Mail/:cpan >@@ -34,6 +34,8 @@ > CONFIGURE_ARGS= SYSCONFDIR="${PREFIX}/etc" \ > CONTACT_ADDRESS="${CONTACT_ADDRESS}" \ > LOCALSTATEDIR="/var/db/spamassassin" >+USERS= spamd >+GROUPS= spamd > > # You can override it if you like > CONTACT_ADDRESS?= The administrator of that system >diff -bBru /var/tmp/saorig/files/patch-bug6488 ./files/patch-bug6488 >--- /var/tmp/saorig/files/patch-bug6488 2011-06-06 14:49:57.000000000 -0400 >+++ ./files/patch-bug6488 2011-06-06 14:39:13.000000000 -0400 >@@ -0,0 +1,14 @@ >+--- lib/Mail/SpamAssassin/Plugin/AntiVirus.pm (revision 574664) >++++ lib/Mail/SpamAssassin/Plugin/AntiVirus.pm (revision 1028149) >+@@ -98,9 +98,9 @@ >+ my ($ctype, $boundary, $charset, $name) = >+ Mail::SpamAssassin::Util::parse_content_type($p->get_header('content-type')); >+ >+- $name = lc $name || ''; >++ $name = lc($name || ''); >+ >+- my $cte = lc $p->get_header('content-transfer-encoding') || ''; >++ my $cte = lc($p->get_header('content-transfer-encoding') || ''); >+ $ctype = lc $ctype; >+ >+ if ($name && $name =~ /\.(?:ade|adp|asx|bas|bat|chm|cmd|com|cpl|crt|dll|exe|hlp|hta|inf|ins|isp|js|jse|lnk|mda|mdb|mde|mdt|mdw|mdz|msc|msi|msp|mst|nws|ops|pcd|pif|prf|reg|scf|scr\??|sct|shb|shs|shm|swf|url|vb|vbe|vbs|vbx|vxd|wsc|wsf|wsh)$/) >diff -bBru /var/tmp/saorig/pkg-install ./pkg-install >--- /var/tmp/saorig/pkg-install 2010-04-08 09:13:00.000000000 -0400 >+++ ./pkg-install 2011-06-06 14:37:18.000000000 -0400 >@@ -32,28 +32,6 @@ > echo "Please answer yes or no." > done > } >- if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then >- if pw groupadd ${GROUP} -g ${GID}; then >- echo "Added group \"${GROUP}\"." >- else >- echo "Adding group \"${GROUP}\" failed..." >- exit 1 >- fi >- fi >- >- if ! pw usershow "${USER}" 2>/dev/null 1>&2; then >- if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \ >- -s "/sbin/nologin" -d "${HOME}" \ >- -c "SpamAssassin user"; \ >- then >- echo "Added user \"${USER}\"." >- mkdir ${HOME} && chown ${USER}:${GROUP} ${HOME} >- else >- echo "Adding user \"${USER}\" failed..." >- exit 1 >- fi >- fi >- > # Create pid directory > mkdir /var/run/spamd 2> /dev/null && chown ${USER}:${GROUP} /var/run/spamd > /usr/bin/su root -c "${PKG_PREFIX}/bin/spamassassin -x -L --lint"
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Raw
Actions:
View
Attachments on
bug 157664
: 115802